> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List users for the current business

> Lists users assigned to the current business, including roles and membership details for access management.



## OpenAPI

````yaml /openapi.json get /businesses/me/users
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /businesses/me/users:
    get:
      tags:
        - Businesses
      summary: List users for the current business
      description: >-
        Lists users assigned to the current business, including roles and
        membership details for access management.
      operationId: Businesses_GetCurrentBusinessUsers
      responses:
        '200':
          description: Returns the list of business user table row.
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/BusinessUserTableRow'
                  description: >-
                    API DTO containing business user data used by Leadping API
                    contracts.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BusinessUserTableRow:
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this business user.
        user:
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: The ID and name for this user.
        userEmail:
          type: string
          description: The user email value for this business user.
          nullable: true
        role:
          allOf:
            - $ref: '#/components/schemas/BusinessUserRole'
          description: The role value for this business user.
        createdAt:
          type: string
          description: The date and time for the created at value on this business user.
          format: date-time
        licenseBillingStatus:
          type: string
          description: The billing status for this user's business license.
          nullable: true
        licenseRenewalDate:
          type: string
          description: The renewal date used for this user's license proration.
          format: date-time
          nullable: true
      description: API DTO containing business user data used by Leadping API contracts.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    IdNamePair:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The unique identifier.
        name:
          type: string
          description: The display name.
      description: >-
        A minimal Record type with an (string), (string), and maximum JSON
        compatibility. The reason for this type (over something like
        KeyValuePair, dictionary) is because of JSON serialization support.
    BusinessUserRole:
      enum:
        - Owner
        - Admin
        - Agent
      type: string
      description: Defines the supported Business User Role values.

````